Skip to main content
POST
/
api
/
v2
/
affiliate
/
campaigns
Create affiliate campaign
curl --request POST \
  --url 'https://{domain}/api/v2/affiliate/campaigns?api-key=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Sample",
  "offer_id": 1,
  "commission_plan_id": 1,
  "traffic_source_id": 1,
  "landing_page_id": 1,
  "creative_id": 1
}
'
{
  "message": "<string>",
  "success": true,
  "info": {
    "campaign": {
      "id": 123,
      "hash": "<string>",
      "name": "<string>",
      "affiliate_id": 123,
      "offer_id": 123,
      "commission_plan_id": 123,
      "traffic_source_id": 123,
      "landing_page_id": 123,
      "creative_id": 123,
      "status": 123,
      "created": 123,
      "updated": 123,
      "offer": {
        "id": 123,
        "title": "<string>"
      },
      "commission_plan": {
        "id": 123,
        "title": "<string>"
      },
      "traffic_source": {
        "id": 123,
        "title": "<string>"
      },
      "landing_page": {
        "id": 123,
        "title": "<string>"
      },
      "creative": {
        "id": 123,
        "title": "<string>"
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.scaleo.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
query
required

API key passed as query parameter. User must have api_status enabled.

Body

application/json
name
string
required

Campaign name. Maximum 100 characters.

offer_id
integer
required

Offer ID. Must be accessible to the affiliate.

commission_plan_id
integer
required

Commission plan ID bound to the selected offer.

traffic_source_id
integer
required

Traffic source ID.

landing_page_id
integer
required

Landing page ID bound to the selected offer.

creative_id
integer | null

Optional creative ID bound to the selected offer.

Response

Campaign created.

message
string
success
boolean
info
object